Stream GitHub repositories (SSE)
curl --request GET \
--url https://api.ravion.com/github/installations/{installationId}/repositories/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/github/installations/{installationId}/repositories/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/github/installations/{installationId}/repositories/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isFinal": true,
"pageInfo": {
"endCursor": "<string>",
"hasNextPage": true
},
"repositories": [
{
"collaborators": {
"totalCount": 123
},
"defaultBranch": {
"name": "<string>"
},
"defaultBranchRef": {
"name": "<string>"
},
"description": "<string>",
"foreignId": "<string>",
"isInNamespace": true,
"isPrivate": true,
"name": "<string>",
"nameWithOwner": "<string>",
"owner": {
"login": "<string>"
},
"pushedAt": "<string>",
"url": "<string>"
}
],
"totalReceived": 123
}Github
Stream GitHub repositories (SSE)
Stream GitHub repositories via SSE in batches of 20
GET
/
github
/
installations
/
{installationId}
/
repositories
/
stream
Stream GitHub repositories (SSE)
Path Parameters
GitHub App installation ID
Query Parameters
Git namespace type
Available options:
USER, ORGANIZATION Response
200 - text/event-stream
SSE stream of repository batches
SSE event containing a batch of repositories
Was this page helpful?
⌘I